// @flow
import React from 'react';
import { hot } from 'react-hot-loader';
import Paragraph from '@invisionag/iris-react-paragraph';
import Heading from '@invisionag/iris-react-heading';
import Link from '@invisionag/iris-react-link';
import { ViewWelcome } from '@invisionag/iris-react-views';
import { Container } from './styles';

export const App = () => (
  <ViewWelcome height="100%">
    <Container>
      <Heading as="h1">%%{CREATE_IVX_APP_PROJECT_NAME}%%</Heading>
      <Paragraph>
        This is your generated Application. You do not have state management
        (redux) or routing (react-router) yet. If you need them, take a look at{' '}
        <Link href="https://github.com/ivx/forecast-ui">Forecast UI</Link> for
        how to best include them in your project.
      </Paragraph>
    </Container>
  </ViewWelcome>
);

export default hot(module)(App);
